<? session_start();
include("lib/conexao_sinsweb.php");
include("funcoes.inc");

if ($_SESSION[cnpj]=="")
  	{
	  $_SESSION[cnpj]=$_POST[fCnpj];
	  $_SESSION[tipo]=$_POST[dTipo];
	}
else if ($_SESSION[cnpj]!=$_POST[fCnpj])
  {$_SESSION[cnpj]=$_POST[fCnpj];}


if ($_SESSION[ACAO]=='CANCELA')
	{
	CancelaAgenda():	 
	}
if ($_GET[ACAO]=='CANCELA')
	{ 
	  $_SESSION[cnpj]=$_GET[cnpj];
     header("Location:cancelar.php");
	}
else if ($_SESSION[ACAO]=='ALTERA')
	{ AlteraEmpresa();}
else if ($_SESSION[ACAO]=='GRAVA')
	{
	InsereEmpresa();
	VerificaSegmento();
	}
else if ($_SESSION[ACAO]=='AGENDA')
	{
	$_SESSION[trabalhador_nome]		=$_POST[ftrabalhador_nome];
	$_SESSION[trabalhador_cpf]		=$_POST[ftrabalhador_cpf];
	$_SESSION[responsavel_nome]		=$_POST[fresponsavel_nome];
	$_SESSION[responsavel_telefone]	=$_POST[fresponsavel_telefone];
	$_SESSION[responsavel_tipo]		=$_POST[fresponsavel_tipo];
    TestaAgenda();
	}
else if ($_SESSION[ACAO]=='COMPROVANTE')
	{
	$_SESSION[data_agendamento] = $_POST["estado"];
	header("Location:comprovante.php");
	}
else
{BuscaCNPJ();}	


function VerificaSegmento()
	{
	$query=mysql_query("SELECT cnae.atividade_principal, empresa.*
						FROM empresa
						LEFT join cnae on (empresa.cnae = cnae.cod_cnae)
						INNER join entidade_sindical_seg_cnae on (empresa.cnae = entidade_sindical_seg_cnae.cod_cnae)
						WHERE empresa.cnpj = '$_SESSION[cnpj]'")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA EMPRESA"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	   {header("Location:gerar.php");}
   	 else
	 {header("Location:nao_enquadra.php");}
		
}

function BuscaCNPJ()
	{
	$query=mysql_query("SELECT cnae.atividade_principal, empresa.*
						FROM empresa
						LEFT join cnae on (empresa.cnae = cnae.cod_cnae)
						WHERE empresa.cnpj ='$_SESSION[cnpj]'");
    $num_rows = mysql_num_rows($query);

    if($num_rows>=1)
 	   {
			$_SESSION[tipo]=mysql_result($query,$i,"empresa.jf");
			$_SESSION[nome]=mysql_result($query,$i,"empresa.nome");
			$_SESSION[endereco]=mysql_result($query,$i,"empresa.endereco");
			$_SESSION[numero]=mysql_result($query,$i,"empresa.numero");
			$_SESSION[complemento]=mysql_result($query,$i,"empresa.complemento");
			$_SESSION[bairro]=mysql_result($query,$i,"empresa.bairro");
			$_SESSION[cep]=mysql_result($query,$i,"empresa.cep");
			$_SESSION[cidade]=mysql_result($query,$i,"empresa.cidade");
			$_SESSION[uf]=mysql_result($query,$i,"empresa.uf");
			$_SESSION[telefone]=mysql_result($query,$i,"empresa.telefone");
			$_SESSION[cnae]=mysql_result($query,$i,"empresa.cnae");
			$_SESSION[atividade_principal]=mysql_result($query,$i,"atividade_principal");
		    VerificaSegmento();
		}
	  else
		  {
		  $_SESSION[ACAO]='GRAVA';
		  if ($_SESSION[tipo]=='')
			{header("Location:inicio_grcsu.php");}
		  else
			{header("Location:empresas.php");}
		  }
}

function InsereEmpresa()
	{
	$data=date('Y-m-d H:i');
	$query=mysql_query("insert empresa(cnpj,jf,nome,endereco,numero,complemento,cep,bairro,cidade,uf,cnae,email,telefone,contador,alterado)
values('$_SESSION[cnpj]','$_SESSION[tipo]','$_POST[fNome]','$_POST[fEndereco]','$_POST[fNumero]','$_POST[fComplemento]','$_POST[fCEP]','$_POST[fBairro]','$_POST[fCidade]','$_POST[fUF]','$_POST[fCNAE]',NULL,'$_POST[fTelefone]',NULL,'$data')")
		or die ("Erro na gravação da Empresa");
	BuscaCNPJ();	
	}

function InsereAgenda()
	{
	$data=date('Y-m-d H:i');
	$query=mysql_query("INSERT agendamento(data_cadastro,empresa,data_hora,trabalhador_nome)
						VALUES('$data','$_SESSION[cnpj]',$_POST[data_hora],'$_SESSION[trabalhador_nome]'")
		or die ("Erro na gravação do Agendamento");
	}
	
function AlteraEmpresa()
	{
	$data=date('Y-m-d H:i');
	$query=mysql_query("UPDATE empresa 
						SET jf='$_SESSION[tipo]', nome='$_POST[fNome]', endereco='$_POST[fEndereco]', 
						numero='$_POST[fNumero]', complemento='$_POST[fComplemento]',
						cep='$_POST[fCEP]', bairro='$_POST[fBairro]', cidade='$_POST[fCidade]', uf='$_POST[fUF]', 
						cnae='$_POST[fCNAE]', telefone='$_POST[fTelefone]', alterado='$data'
	                    WHERE cnpj='$_SESSION[cnpj]'")
		or die ("Erro na query de Atualização de Empresa");
	BuscaCNPJ();	
	}

function TestaAgenda()
	{
	$query=mysql_query("SELECT * FROM agendamento where empresa = '$_SESSION[cnpj]' and trabalhador_cpf = '$_SESSION[trabalhador_cpf]'")
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA HOMOLOGACAO"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	   {header("Location:duvida_num_fun.php");}
   	 else
	 {header("Location:index_horarios.php");}		
}

function CancelaAgenda()
	{
	$sql="	UPDATE agendamento 
			SET cod_cancelamento = '1'
			WHERE empresa='$_SESSION[cnpj]' and codigo = '$_POST[fprotocolo]' and trabalhador_cpf = '$_POST[ftrabalhador_cpf]'";
	$query=mysql_query($sql,$conexao_sinsweb)
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DA HOMOLOGACAO"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
 	   {header("Location:comprovante_can.php");}
   	 else
	 {header("Location:index_horarios.php");}		


	$data=date('Y-m-d H:i');
	$query=mysql_query("insert cancelamentos(data,usuario,observacao)
values('$data', 0,'')")
		or die ("Erro no cancelamento do agendamento");
	BuscaCNPJ();	
	}
}


?>